#ifndef ___MY_FUNCTIONS_HEADER
#define ___MY_FUNCTIONS_HEADER

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "error.h"

#define TAILLE_BUFFER 		128
#define TAILLE_PAQUET		15
#define PATTERN_MAITRE		"/tmp/cv_maitre.%d"
#define PATTERN_JOUEUR		"/tmp/cv_joueur.%d"
#define PATTERN_AFFICHE		"/tmp/cv_affiche.%d"

ssize_t my_write(int fd, const void* buf, size_t count);
ssize_t my_read(int fd, void *buf, size_t count);
void sortie_erreur(char*, int);
int ouvrir_fifo(char*, int);
int creation_fifo(char*, mode_t);
int existe_fifo(char*);
void* my_malloc(size_t);
void* my_realloc(void*, size_t);
void my_free(void*);

#endif
