#ifndef ___CALCUL_HEADER
#define ___CALCUL_HEADER

#include "joueur_struct.h"
#include "circuit_struct.h"

/* Calcul des positions - Detection des collisions */
int calcul(int, struct joueur*, struct circuit*);
int retourne_accel_col(int);
int retourne_accel_lig(int);

/* Detection des tours */
int retourne_checkpoint(int, int, struct circuit*);
void empile_checkpoint(struct joueur*, int);
void vide_checkpoint(struct joueur*);
int valide_tour(struct joueur*);
int verifie_tour(int, int, struct circuit*, struct joueur*);

#endif

