#ifndef ___JOUEUR_HEADER
#define ___JOUEUR_HEADER

#include <ncurses.h>
#include "file_struct.h"
#include "circuit_struct.h"

/* Touches */
#define KEY_HAUT	65	/* HAUT */
#define KEY_BAS		66	/* BAS */
#define KEY_GAUCHE	68	/* GAUCHE */
#define KEY_DROITE	67	/* DROITE */
#define KEY_NO_CHANGE	32	/* ESPACE */
#define KEY_B_GAUCHE	118	/* v */
#define KEY_B_DROITE	110	/* n */
#define KEY_H_GAUCHE	102	/* f */
#define KEY_H_DROITE	104	/* h */
#define KEY_QUITTER	'q'	/* Quitter (ou CTRL-C) */

void fils(int[],int []);


void reception_circuit(int,struct circuit*);
void affiche_circuit(struct circuit*,WINDOW*);
void move_joueur(int , int , struct file_struct*, struct circuit*, int , WINDOW*);
int get_accel(int);

ssize_t my_write_fils(int, const void*, size_t);
ssize_t my_read_fils(int, void*buf, size_t);

void quitter(int signo);
void sortie_erreur_fils(char*, int);
void quitte_ncurses(int);



#endif

