#ifndef ___MAITRE_HEADER
#define ___MAITRE_HEADER

#define TEMPS_CONNECTION	15	/* Temps d'attente a la connection       */
#define TEMPS_RECEPTION		15	/* Temps sans reception avant de quitter */
#define TEMPS_REBOURS		5	/* Duree du compte a rebours 		 */
#define TIMEOUT 	"timeout"

void timeout_connection(int);

/* I/O Circuit */
int envoie_circuit(struct circuit*, int);
void lecture_circuit(char*, struct circuit*);

ssize_t my_write_joueur(struct joueur*, int, int, const void*, size_t);
void supprime_joueur_jeu(struct joueur*, int);
int retourne_nb_joueur(struct joueur*, int);

/* Connexion des joueurs - Compte a rebours - Jeu */
struct joueur* accept_joueurs(struct circuit*, int*, int );
struct joueur* traite_joueur(struct joueur*,int,struct circuit*);
void envoie_compte_rebours(struct joueur*, int, int);
void jeu(struct joueur*, int, struct circuit*, int, int);

int est_arrive(struct joueur*);
void test_tour(int, int*, struct joueur*, int, int, int);





#endif
